GMX-EXTRACT-CLUSTER(1)

NAME
gmx-extract-cluster - Allows extracting frames corresponding to clusters from trajectory

SYNOPSIS

gmx extract-cluster [-f [<.xtc/.trr/...>]] [-s [<.tpr/.gro/...>]]
             [-n [<.ndx>]] [-clusters [<.ndx>]]
             [-o [<.xtc/.trr/...>]] [-b <time>] [-e <time>]
             [-dt <time>] [-tu <enum>] [-fgroup <selection>]
             [-xvg <enum>] [-[no]rmpbc] [-[no]pbc] [-sf <file>]
             [-selrpos <enum>] [-select <selection>] [-vel <enum>]
             [-force <enum>] [-atoms <enum>] [-precision <int>]
             [-starttime <time>] [-timestep <time>] [-box <vector>]

DESCRIPTION

gmx extract-cluster can be used to extract trajectory frames that correspond to clusters obtained from running gmx cluster with the -clndx option. The module supports writing all GROMACS supported trajectory file formats.

Included is also a selection of possible options to change additional information.

It is possible to write only a selection of atoms to the output trajectory files for each cluster.

OPTIONS

Options to specify input files:

-f [<.xtc/.trr/…>] (traj.xtc) (Optional)
    Input trajectory or single configuration: xtc trr cpt gro g96 pdb tng

-s [<.tpr/.gro/…>] (topol.tpr) (Optional)
    Input structure: tpr gro g96 pdb brk ent

-n [<.ndx>] (index.ndx) (Optional)
    Extra index groups

-clusters [<.ndx>] (cluster.ndx)
    Name of index file containing frame indices for each cluster, obtained from gmx cluster -clndx.

    Options to specify output files:

-o [<.xtc/.trr/…>] (trajout.xtc)
    Prefix for the name of the trajectory file written for each cluster.: xtc trr cpt gro g96 pdb tng

    Other options:

-b <time> (0)
    First frame (ps) to read from trajectory

-e <time> (0)
    Last frame (ps) to read from trajectory

-dt <time> (0)
    Only use frame if t MOD dt == first time (ps)

-tu <enum> (ps)
    Unit for time values: fs, ps, ns, us, ms, s

-fgroup <selection>
    Atoms stored in the trajectory file (if not set, assume first N atoms)

-xvg <enum> (xmgrace)
    Plot formatting: xmgrace, xmgr, none

-[no]rmpbc (yes)
    Make molecules whole for each frame

-[no]pbc (yes)
    Use periodic boundary conditions for distance calculation

-sf <file>
    Provide selections from files

-selrpos <enum> (atom)
    Selection reference positions: atom, res_com, res_cog, mol_com, mol_cog, whole_res_com, whole_res_cog, whole_mol_com, whole_mol_cog, part_res_com, part_res_cog, part_mol_com, part_mol_cog, dyn_res_com, dyn_res_cog, dyn_mol_com, dyn_mol_cog

-select <selection>
    Selection of atoms to write to the file

-vel <enum> (preserved-if-present)
    Save velocities from frame if possible: preserved-if-present, always, never

-force <enum> (preserved-if-present)
    Save forces from frame if possible: preserved-if-present, always, never

-atoms <enum> (preserved-if-present)
    Decide on providing new atom information from topology or using current frame atom information: preserved-if-present, always-from-structure, never, always

-precision <int> (3)
    Set output precision to custom value

-starttime <time> (0)
    Change start time for first frame

-timestep <time> (0)
    Change time between different frames

-box <vector>
    New diagonal box vector for output frame

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team